Bug 215564 - Review Request: bdock - Beryl project's replacement windowmaker dock
Summary: Review Request: bdock - Beryl project's replacement windowmaker dock
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On: 209259
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-14 17:21 UTC by Jarod Wilson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 20:55:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarod Wilson 2006-11-14 17:21:54 UTC
Spec URL: http://wilsonet.com/packages/beryl/bdock.spec
SRPM URL: http://wilsonet.com/packages/beryl/bdock-0.1.2-1.fc6.src.rpm
Description:
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.

Bdock is a replacement for the windowmaker dock.


Depends on beryl-core, submitted for FE-review under bug 209259.

Comment 1 Martin Sourada 2006-11-14 17:44:27 UTC
You should probably fix this rpmlint output:
E: bdock zero-length /usr/share/doc/bdock-0.1.2/README
E: bdock zero-length /usr/share/doc/bdock-0.1.2/ChangeLog

Comment 2 Jarod Wilson 2006-11-14 20:03:06 UTC
(In reply to comment #1)
> You should probably fix this rpmlint output:
> E: bdock zero-length /usr/share/doc/bdock-0.1.2/README
> E: bdock zero-length /usr/share/doc/bdock-0.1.2/ChangeLog

Done.

http://wilsonet.com/packages/beryl/bdock-0.1.2-2.fc6.src.rpm

Comment 3 Jarod Wilson 2006-11-16 23:37:15 UTC
New build with trimmed-down BR: (needs beryl-core-devel >= 0.1.2-5).

http://wilsonet.com/packages/beryl/bdock-0.1.2-3.fc6.src.rpm

Comment 4 Mamoru TASAKA 2006-11-18 15:00:35 UTC
Well, one question:

* /usr/share/pixmaps/clip.tiff
  /usr/share/pixmaps/defaultAppIcon.xpm
  /usr/share/pixmaps/tile.tiff
  - I don't know well about this package, however, source codes
    include:
---------------------------------------------------
./src/Makefile.am:INCLUDES=@BDOCK_CFLAGS@ -DPIXMAPDIR='"$(datadir)/bdock/"'
./src/main.c:    bdock_tile_set_bg_from_file(bt,PIXMAPDIR "tile.tiff");
./src/main.c:            gdk_pixbuf_new_from_file(PIXMAPDIR
"defaultAppIcon.xpm",NULL);
(and etc)
---------------------------------------------------
    However, all the image files are installed under /usr/share/pixmaps.
    Is this correct?

Comment 5 Jarod Wilson 2006-11-20 15:11:02 UTC
Hrm, haven't actually run this code, just packaged it on request... In beryl svn
trunk, the pixmaps Makefile has been converted to install in /usr/share/bock
instead of /usr/share/pixmaps, so I've patched accordingly:

http://wilsonet.com/packages/beryl/bdock-0.1.2-4.fc6.src.rpm



Comment 6 Mamoru TASAKA 2006-11-20 16:26:40 UTC
Okay.

----------------------------------------------
  This package (bdock) is APPROVED.


Note You need to log in before you can comment on or make changes to this bug.